Package: org.grails.async.transform.internal

## [Java] Interface DelegateAsyncTransactionalMethodTransformer

- Interface for a class that handles transforming async transactional methods

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecoratorLookupArguments)`

- - ### Method Detail

    - #### public void transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecoratorLookupArguments)